mod_python or MoinMoin problem.

Seo ji won skidrow at nownuri.net
Sun Mar 11 11:16:48 CET 2001


I'm now using FreeBSD 4.2 release, apache 1.3.14, mod_python 2.6.3

and trying to use MoinMoin(one of wiki clones, written in python, and is
kind of CGI program I guess)

but it doesn't work out.

the apache log says,
----------------------------------------------------------------------------
-------------------------
Mod_python error: "PythonHandler mod_python.cgihandler"

Traceback (most recent call last):

  File "/usr/local/lib/python2.0/site-packages/mod_python/apache.py", line
185, in Dispatch
    result = object(self.req)

  File "/usr/local/lib/python2.0/site-packages/mod_python/cgihandler.py",
line 76, in handler
    imp.load_module(module_name, fd, path, desc)

  File "/usr/local/www/cgi-bin/MoinMoin/wiki-moinmoin/moin.py", line 15, in
?
    cgimain.run()

  File "/usr/local/www/cgi-bin/MoinMoin/cgimain.py", line 161, in run
    cgi.print_exception()

  File "/usr/local/lib/python2.0/cgi.py", line 870, in print_exception
    print

  File "/usr/local/lib/python2.0/site-packages/mod_python/apache.py", line
484, in write
    h, v = string.split(line, ":", 1)

ValueError: unpack list of wrong size
----------------------------------------------------------------------------
-----------------------------





What seems to be the problem?..
Thanks in advance. :)
p.s) If this news group is not proper to post this message, plz let me
know. -- with suitable news group. :)






More information about the Python-list mailing list